org.springframework.batch.core.configuration.xml

## Class AbstractStepParser

- java.lang.Object
- - org.springframework.batch.core.configuration.xml.AbstractStepParser

- Direct Known Subclasses:
    InlineStepParser, StandaloneStepParser

      public abstract class AbstractStepParser
      extends java.lang.Object

  Internal parser for the <step/> elements inside a job. A step element references a bean definition for a `Step` and goes on to (optionally) list a set of transitions from that step to others with <next on="pattern" to="stepName"/>. Used by the `JobParser`.
  Since:
    2.0
  Author:
    Dave Syer, Thomas Risberg, Josh Long
  See Also:
    `JobParser`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `ID_ATTR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractStepParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.springframework.beans.factory.support.AbstractBeanDefinition` | `parseStep(org.w3c.dom.Element stepElement, org.springframework.beans.factory.xml.ParserContext parserContext, java.lang.String jobFactoryRef)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID_ATTR

          protected static final java.lang.String ID_ATTR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractStepParser

          public AbstractStepParser()

  - ### Method Detail

    - #### parseStep

          protected org.springframework.beans.factory.support.AbstractBeanDefinition parseStep(org.w3c.dom.Element stepElement,
                                                                                               org.springframework.beans.factory.xml.ParserContext parserContext,
                                                                                               java.lang.String jobFactoryRef)

      Parameters:
        `stepElement` - The <step/> element
        `parserContext` - instance of `ParserContext`.
        `jobFactoryRef` - the reference to the `JobParserJobFactoryBean` from the enclosing tag. Use 'null' if unknown.
      Returns:
        `AbstractBeanDefinition` for the stepElement.